Topic: Problems using "nifty-generators"

Im trying to run the following command:

Rails g nifty:layout

But it throws up this error:

C:\Sites\sharebox>Rails g nifty:layout
C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/devise-2.0.4/lib/devise.rb:
443:in `configure_warden!': undefined method `failure_app=' for nil:NilClass (No
MethodError)
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/devise-2.0.4/l
ib/devise/rails/routes.rb:19:in `finalize_with_devise!'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/actionpack-3.2
.1/lib/action_dispatch/routing/route_set.rb:250:in `draw'
        from C:/Sites/sharebox/config/environments/development.rb:39:in `block i
n <top (required)>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/railtie/configurable.rb:24:in `class_eval'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/railtie/configurable.rb:24:in `configure'
        from C:/Sites/sharebox/config/environments/development.rb:1:in `<top (re
quired)>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `block in require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:236:in `load_dependency'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/engine.rb:571:in `block in <class:Engine>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:30:in `instance_exec'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:30:in `run'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:55:in `block in run_initializers'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:54:in `each'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:54:in `run_initializers'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/application.rb:136:in `initialize!'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/railtie/configurable.rb:30:in `method_missing'
        from C:/Sites/sharebox/config/environment.rb:5:in `<top (required)>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `block in require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:236:in `load_dependency'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/application.rb:103:in `require_environment!'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/commands.rb:25:in `<top (required)>'
        from script/rails:6:in `require'
        from script/rails:6:in `<main>'

Here are some details:

Gemfile
source 'http://rubygems.org
     
    gem 'rails', '3.2.1' 
    gem 'mysql2', '< 0.3.7'
#for user authentication 
       gem 'devise' 
     
#for layout and helpers generations 
    gem "nifty-generators", :group => :development



C:\Sites\sharebox>ruby -v
ruby 1.9.2p290 (2011-07-09) [i386-mingw32]

C:\Sites\sharebox>rails -v
Rails 3.2.1

C:\Sites\sharebox>gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 1.7.2
  - RUBY VERSION: 1.9.2 (2011-07-09 patchlevel 290) [i386-mingw32]
  - INSTALLATION DIRECTORY: C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1
  - RUBY EXECUTABLE: C:/RailsInstaller/Ruby1.9.2/bin/ruby.exe
  - EXECUTABLE DIRECTORY: C:/RailsInstaller/Ruby1.9.2/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-mingw32
  - GEM PATHS:
     - C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1
     - C:/Users/user/.gem/ruby/1.9.1
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://rubygems.org/

C:\Sites\sharebox>rails generate
C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/devise-2.0.4/lib/devise.rb:
443:in `configure_warden!': undefined method `failure_app=' for nil:NilClass (No
MethodError)
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/devise-2.0.4/l
ib/devise/rails/routes.rb:19:in `finalize_with_devise!'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/actionpack-3.2
.1/lib/action_dispatch/routing/route_set.rb:250:in `draw'
        from C:/Sites/sharebox/config/environments/development.rb:39:in `block i
n <top (required)>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/railtie/configurable.rb:24:in `class_eval'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/railtie/configurable.rb:24:in `configure'
        from C:/Sites/sharebox/config/environments/development.rb:1:in `<top (re
quired)>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `block in require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:236:in `load_dependency'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/engine.rb:571:in `block in <class:Engine>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:30:in `instance_exec'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:30:in `run'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:55:in `block in run_initializers'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:54:in `each'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/initializable.rb:54:in `run_initializers'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/application.rb:136:in `initialize!'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/railtie/configurable.rb:30:in `method_missing'
        from C:/Sites/sharebox/config/environment.rb:5:in `<top (required)>'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `block in require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:236:in `load_dependency'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-
3.2.1/lib/active_support/dependencies.rb:251:in `require'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/application.rb:103:in `require_environment!'
        from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.2.1
/lib/rails/commands.rb:25:in `<top (required)>'
        from script/rails:6:in `require'
        from script/rails:6:in `<main>'

C:\Sites\sharebox>gem list

*** LOCAL GEMS ***

abstract (1.0.0)
actionmailer (3.2.1, 3.1.1, 3.0.3)
actionpack (3.2.1, 3.1.1, 3.0.3)
activemodel (3.2.1, 3.1.1, 3.0.3)
activerecord (3.2.1, 3.1.1, 3.0.3)
activerecord-sqlserver-adapter (3.1.3)
activeresource (3.2.1, 3.1.1, 3.0.3)
activesupport (3.2.1, 3.1.1, 3.0.3)
addressable (2.2.6)
arel (3.0.0, 2.2.1, 2.0.10)
bcrypt-ruby (3.0.1 x86-mingw32)
builder (3.0.0, 2.1.2)
bundler (1.0.21)
coffee-rails (3.2.2, 3.1.1)
coffee-script (2.2.0)
coffee-script-source (1.2.0, 1.1.2)
configuration (1.3.1)
devise (2.0.4)
engineyard (1.4.3)
engineyard-serverside-adapter (1.5.10)
erubis (2.7.0, 2.6.6)
escape (0.0.4)
execjs (1.3.0, 1.2.9)
github (0.6.2)
highline (1.6.2, 1.5.2)
hike (1.2.1)
i18n (0.6.0)
journey (1.0.1)
jquery-rails (2.0.0)
json (1.6.5, 1.6.1)
json_pure (1.5.4)
launchy (2.0.5, 0.3.7)
mail (2.4.1, 2.3.0, 2.2.19)
mime-types (1.17.2)
minitest (1.6.0)
multi_json (1.1.0, 1.0.4, 1.0.3)
mysql (2.8.1 x86-mingw32)
mysql2 (0.3.11 x86-mingw32, 0.2.6 x86-mingw32)
net-ssh (2.1.4)
nifty-generators (0.4.6)
open4 (1.2.0)
orm_adapter (0.0.6)
pg (0.11.0 x86-mingw32)
Platform (0.4.0)
polyglot (0.3.3)
POpen4 (0.1.4)
rack (1.4.1, 1.3.5, 1.2.5)
rack-cache (1.1)
rack-mount (0.8.3, 0.6.14)
rack-ssl (1.3.2)
rack-test (0.6.1, 0.5.7)
rails (3.2.1, 3.1.1, 3.0.3)
railties (3.2.1, 3.1.1, 3.0.3)
rake (0.9.2.2, 0.8.7)
rb-readline (0.4.2)
rdoc (3.12, 3.11, 2.5.8)
rest-client (1.6.7)
ruby-mysql (2.9.4)
rubyzip2 (2.0.1)
sass (3.1.15)
sass-rails (3.2.4)
sprockets (2.1.2, 2.0.3)
spruz (0.2.13)
sqlite3 (1.3.5 x86-mingw32, 1.3.4 x86-mingw32)
sqlite3-ruby (1.3.3)
text-format (1.0.0)
text-hyphen (1.0.0)
thor (0.14.6)
tilt (1.3.3)
tiny_tds (0.5.0 x86-mingw32)
treetop (1.4.10)
tzinfo (0.3.31, 0.3.30)
uglifier (1.2.3)
warden (1.1.1)


Im stuck at where to go next, any help would be great! Cheers